View Issue Details

IDProjectCategoryView StatusLast Update
0021157mantisbtbugtrackerpublic2016-10-02 18:41
ReportersyncguruAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021157: Redirect loop when default project is disabled
Description

Here is how to repro the issue:

Assumption here is that you have P1, P2, P3 as enabled projects in your instance

  • Set the project selector to “All Projects”
  • Click ‘report issue’
  • Select project form shows up. Pick P3 and then mark it as default
  • Go to Manage -> Manage Projects -> P3
  • Uncheck the “Enabled” field
  • Switch project to “All Projects”
  • Click "report issue”
    => You will end up with redirect loop

A simple workaround here is to re-enable P3 or resubmit the account preferences page with 'All Projects' as the default project

Tagsmantishub

Activities

Related Changesets

MantisBT: master-1.3.x 9a7ae216

2016-09-04 01:17:05

wapznw


Committer: vboctor Details Diff
Fix infinite 302 redirect when reporting an issue

If the user is currently on “All Projects” and their default
project is disabled, then clicking “Report Issue” would result
in an infinite 302 redirect loop

Fixes 0021157
mod - bug_report_page.php Diff File

Issue History

Date Modified Username Field Change
2016-06-25 00:13 syncguru New Issue
2016-06-25 00:13 syncguru Tag Attached: mantishub
2016-09-04 01:50 vboctor Note Added: 0053932
2016-09-05 01:14 vboctor Changeset attached => MantisBT master-1.3.x 9a7ae216
2016-09-05 01:14 vboctor Assigned To => vboctor
2016-09-05 01:14 vboctor Status new => resolved
2016-09-05 01:14 vboctor Resolution open => fixed
2016-09-05 01:14 vboctor Fixed in Version => 1.3.2
2016-09-05 01:45 vboctor Assigned To vboctor => community
2016-09-05 01:45 vboctor Product Version => 1.3.0
2016-09-05 01:45 vboctor Target Version => 1.3.2
2016-10-02 18:41 vboctor Status resolved => closed